/*
 * Instance header file for PIC32CK2051SG01144
 *
 * Copyright (c) 2024 Microchip Technology Inc. and its subsidiaries.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2024-04-02T09:16:38Z */
#ifndef _PIC32CKSG01_TCC0_INSTANCE_
#define _PIC32CKSG01_TCC0_INSTANCE_


/* ========== Instance Parameter definitions for TCC0 peripheral ========== */
#define TCC0_CC_NUM                              (6)        /* Number of Compare/Capture units */
#define TCC0_DITHERING                           (1)        /* Dithering feature implemented */
#define TCC0_DMAC_ID_MC_0                        (14)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC0_DMAC_ID_MC_1                        (15)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC0_DMAC_ID_MC_2                        (16)       /* Indexes of DMA Match/Compare triggers 2 */
#define TCC0_DMAC_ID_MC_3                        (17)       /* Indexes of DMA Match/Compare triggers 3 */
#define TCC0_DMAC_ID_MC_4                        (18)       /* Indexes of DMA Match/Compare triggers 4 */
#define TCC0_DMAC_ID_MC_5                        (19)       /* Indexes of DMA Match/Compare triggers 5 */
#define TCC0_DMAC_ID_OVF                         (13)       /* DMA overflow/underflow/retrigger trigger */
#define TCC0_DTI                                 (1)        /* Dead-Time-Insertion feature implemented */
#define TCC0_GCLK_ID                             (23)       /* Index of Generic Clock */
#define TCC0_INSTANCE_ID                         (44)       /* Instance index for TCC0 */
#define TCC0_MASTER_SLAVE_MODE                   (1)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC0_MCLK_ID_APB                         (75)       /* Index for TCC0 APB clock */
#define TCC0_OTMX                                (1)        /* Output Matrix feature implemented */
#define TCC0_OW_NUM                              (8)        /* Number of Output Waveforms */
#define TCC0_PAC_ID                              (44)       /* Index for TCC0 registers write protection */
#define TCC0_PG                                  (1)        /* Pattern Generation feature implemented */
#define TCC0_SIZE                                (32)       
#define TCC0_SWAP                                (1)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CKSG01_TCC0_INSTANCE_ */
