/*
 * Instance header file for PIC32CK2051SG01144
 *
 * Copyright (c) 2024 Microchip Technology Inc. and its subsidiaries.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2024-04-02T09:16:38Z */
#ifndef _PIC32CKSG01_TCC1_INSTANCE_
#define _PIC32CKSG01_TCC1_INSTANCE_


/* ========== Instance Parameter definitions for TCC1 peripheral ========== */
#define TCC1_CC_NUM                              (6)        /* Number of Compare/Capture units */
#define TCC1_DITHERING                           (1)        /* Dithering feature implemented */
#define TCC1_DMAC_ID_MC_0                        (21)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC1_DMAC_ID_MC_1                        (22)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC1_DMAC_ID_MC_2                        (23)       /* Indexes of DMA Match/Compare triggers 2 */
#define TCC1_DMAC_ID_MC_3                        (24)       /* Indexes of DMA Match/Compare triggers 3 */
#define TCC1_DMAC_ID_MC_4                        (25)       /* Indexes of DMA Match/Compare triggers 4 */
#define TCC1_DMAC_ID_MC_5                        (26)       /* Indexes of DMA Match/Compare triggers 5 */
#define TCC1_DMAC_ID_OVF                         (20)       /* DMA overflow/underflow/retrigger trigger */
#define TCC1_DTI                                 (1)        /* Dead-Time-Insertion feature implemented */
#define TCC1_GCLK_ID                             (23)       /* Index of Generic Clock */
#define TCC1_INSTANCE_ID                         (45)       /* Instance index for TCC1 */
#define TCC1_MASTER_SLAVE_MODE                   (2)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC1_MCLK_ID_APB                         (76)       /* Index for TCC1 APB clock */
#define TCC1_OTMX                                (1)        /* Output Matrix feature implemented */
#define TCC1_OW_NUM                              (8)        /* Number of Output Waveforms */
#define TCC1_PAC_ID                              (45)       /* Index for TCC1 registers write protection */
#define TCC1_PG                                  (1)        /* Pattern Generation feature implemented */
#define TCC1_SIZE                                (32)       
#define TCC1_SWAP                                (1)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CKSG01_TCC1_INSTANCE_ */
