/*
 * Instance header file for PIC32CK2051SG01144
 *
 * Copyright (c) 2024 Microchip Technology Inc. and its subsidiaries.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2024-04-02T09:16:38Z */
#ifndef _PIC32CKSG01_TCC3_INSTANCE_
#define _PIC32CKSG01_TCC3_INSTANCE_


/* ========== Instance Parameter definitions for TCC3 peripheral ========== */
#define TCC3_CC_NUM                              (6)        /* Number of Compare/Capture units */
#define TCC3_DITHERING                           (1)        /* Dithering feature implemented */
#define TCC3_DMAC_ID_MC_0                        (35)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC3_DMAC_ID_MC_1                        (36)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC3_DMAC_ID_MC_2                        (37)       /* Indexes of DMA Match/Compare triggers 2 */
#define TCC3_DMAC_ID_MC_3                        (38)       /* Indexes of DMA Match/Compare triggers 3 */
#define TCC3_DMAC_ID_MC_4                        (39)       /* Indexes of DMA Match/Compare triggers 4 */
#define TCC3_DMAC_ID_MC_5                        (40)       /* Indexes of DMA Match/Compare triggers 5 */
#define TCC3_DMAC_ID_OVF                         (34)       /* DMA overflow/underflow/retrigger trigger */
#define TCC3_DTI                                 (1)        /* Dead-Time-Insertion feature implemented */
#define TCC3_GCLK_ID                             (24)       /* Index of Generic Clock */
#define TCC3_INSTANCE_ID                         (47)       /* Instance index for TCC3 */
#define TCC3_MASTER_SLAVE_MODE                   (2)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC3_MCLK_ID_APB                         (78)       /* Index for TCC3 APB clock */
#define TCC3_OTMX                                (1)        /* Output Matrix feature implemented */
#define TCC3_OW_NUM                              (8)        /* Number of Output Waveforms */
#define TCC3_PAC_ID                              (47)       /* Index for TCC3 registers write protection */
#define TCC3_PG                                  (1)        /* Pattern Generation feature implemented */
#define TCC3_SIZE                                (32)       
#define TCC3_SWAP                                (1)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CKSG01_TCC3_INSTANCE_ */
