/*
 * Instance header file for PIC32CK2051SG01144
 *
 * Copyright (c) 2024 Microchip Technology Inc. and its subsidiaries.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2024-04-02T09:16:38Z */
#ifndef _PIC32CKSG01_TCC4_INSTANCE_
#define _PIC32CKSG01_TCC4_INSTANCE_


/* ========== Instance Parameter definitions for TCC4 peripheral ========== */
#define TCC4_CC_NUM                              (2)        /* Number of Compare/Capture units */
#define TCC4_DITHERING                           (0)        /* Dithering feature implemented */
#define TCC4_DMAC_ID_MC_0                        (50)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC4_DMAC_ID_MC_1                        (51)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC4_DMAC_ID_OVF                         (49)       /* DMA overflow/underflow/retrigger trigger */
#define TCC4_DTI                                 (0)        /* Dead-Time-Insertion feature implemented */
#define TCC4_GCLK_ID                             (29)       /* Index of Generic Clock */
#define TCC4_INSTANCE_ID                         (68)       /* Instance index for TCC4 */
#define TCC4_MASTER_SLAVE_MODE                   (0)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC4_MCLK_ID_APB                         (100)      /* Index for TCC4 APB clock */
#define TCC4_OTMX                                (0)        /* Output Matrix feature implemented */
#define TCC4_OW_NUM                              (2)        /* Number of Output Waveforms */
#define TCC4_PAC_ID                              (68)       /* Index for TCC4 registers write protection */
#define TCC4_PG                                  (0)        /* Pattern Generation feature implemented */
#define TCC4_SIZE                                (16)       
#define TCC4_SWAP                                (0)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CKSG01_TCC4_INSTANCE_ */
