/*
 * Instance header file for PIC32CK2051SG01144
 *
 * Copyright (c) 2024 Microchip Technology Inc. and its subsidiaries.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2024-04-02T09:16:38Z */
#ifndef _PIC32CKSG01_DSU_INSTANCE_
#define _PIC32CKSG01_DSU_INSTANCE_


/* ========== Instance Parameter definitions for DSU peripheral ========== */
#define DSU_BMX_ERROR_SUPPORT                    (0)        /* Defines whether DSU APB errors are reported as 2-cycles bus errors to the AHB AP0 master */
#define DSU_DAL1_IMPLEMENTED                     (1)        /* Debug Access Level 1 (Non-Secure) Implemented? for TZ devices only */
#define DSU_DMAC_ID_DCC0                         (2)        /* DMAC ID for DCC0 register */
#define DSU_DMAC_ID_DCC1                         (3)        /* DMAC ID for DCC1 register */
#define DSU_INSTANCE_ID                          (0)        /* Instance index for DSU */
#define DSU_MCLK_ID_AHB                          (3)        /* Index for DSU AHB clock */
#define DSU_MCLK_ID_APB                          (32)       /* Index for DSU APB clock */
#define DSU_PAC_ID                               (0)        /* Index for DSU registers write protection */

#endif /* _PIC32CKSG01_DSU_INSTANCE_ */
