/*
 * Instance header file for PIC32CK2051SG01144
 *
 * Copyright (c) 2024 Microchip Technology Inc. and its subsidiaries.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2024-04-02T09:16:38Z */
#ifndef _PIC32CKSG01_RTC_INSTANCE_
#define _PIC32CKSG01_RTC_INSTANCE_


/* ========== Instance Parameter definitions for RTC peripheral ========== */
#define RTC_DMAC_ID_TIMESTAMP                    (4)        /* DMA RTC timestamp trigger */
#define RTC_INSTANCE_ID                          (12)       /* Instance index for RTC */
#define RTC_MCLK_ID_APB                          (44)       /* Index for RTC APB clock */
#define RTC_NUM_OF_ALARMS                        (2)        /* Number of Alarms */
#define RTC_NUM_OF_BKREGS                        (0)        /* Number of Backup Registers */
#define RTC_NUM_OF_COMP16                        (4)        /* Number of 16-bit Comparators */
#define RTC_NUM_OF_TAMPERS                       (8)        /* Number of Tamper Inputs */
#define RTC_PAC_ID                               (12)       /* Index for RTC registers write protection */

#endif /* _PIC32CKSG01_RTC_INSTANCE_ */
