/*
 * Instance header file for PIC32CZ8110CA90208
 *
 * Copyright (c) 2023 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2023-05-18T19:14:33Z */
#ifndef _PIC32CZCA90_TCC6_INSTANCE_
#define _PIC32CZCA90_TCC6_INSTANCE_


/* ========== Instance Parameter definitions for TCC6 peripheral ========== */
#define TCC6_CC_NUM                              (2)        /* Number of Compare/Capture units */
#define TCC6_DITHERING                           (1)        /* Dithering feature implemented */
#define TCC6_DMAC_ID_MC_0                        (60)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC6_DMAC_ID_MC_1                        (61)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC6_DMAC_ID_OVF                         (59)       /* DMA overflow/underflow/retrigger trigger */
#define TCC6_DTI                                 (1)        /* Dead-Time-Insertion feature implemented */
#define TCC6_GCLK_ID                             (37)       /* Index of Generic Clock */
#define TCC6_INSTANCE_ID                         (39)       /* Instance index for TCC6 */
#define TCC6_MASTER_SLAVE_MODE                   (0)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC6_MCLK_ID_APB                         (47)       /* Index for TCC6 APB clock */
#define TCC6_OTMX                                (0)        /* Output Matrix feature implemented */
#define TCC6_OW_NUM                              (2)        /* Number of Output Waveforms */
#define TCC6_PAC_ID                              (39)       /* Index for TCC6 registers write protection */
#define TCC6_PG                                  (0)        /* Pattern Generation feature implemented */
#define TCC6_SIZE                                (32)       
#define TCC6_SWAP                                (1)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CZCA90_TCC6_INSTANCE_ */
