/*
 * Instance header file for PIC32CZ8110CA90208
 *
 * Copyright (c) 2023 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2023-05-18T19:14:33Z */
#ifndef _PIC32CZCA90_TCC8_INSTANCE_
#define _PIC32CZCA90_TCC8_INSTANCE_


/* ========== Instance Parameter definitions for TCC8 peripheral ========== */
#define TCC8_CC_NUM                              (2)        /* Number of Compare/Capture units */
#define TCC8_DITHERING                           (1)        /* Dithering feature implemented */
#define TCC8_DMAC_ID_MC_0                        (66)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC8_DMAC_ID_MC_1                        (67)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC8_DMAC_ID_OVF                         (65)       /* DMA overflow/underflow/retrigger trigger */
#define TCC8_DTI                                 (1)        /* Dead-Time-Insertion feature implemented */
#define TCC8_GCLK_ID                             (39)       /* Index of Generic Clock */
#define TCC8_INSTANCE_ID                         (41)       /* Instance index for TCC8 */
#define TCC8_MASTER_SLAVE_MODE                   (0)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC8_MCLK_ID_APB                         (49)       /* Index for TCC8 APB clock */
#define TCC8_OTMX                                (0)        /* Output Matrix feature implemented */
#define TCC8_OW_NUM                              (2)        /* Number of Output Waveforms */
#define TCC8_PAC_ID                              (41)       /* Index for TCC8 registers write protection */
#define TCC8_PG                                  (0)        /* Pattern Generation feature implemented */
#define TCC8_SIZE                                (32)       
#define TCC8_SWAP                                (1)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CZCA90_TCC8_INSTANCE_ */
